Get a version of a configuration by hash or by tag.

gethttps://app.mk.io/api/v1/projects/:project_name/templating/configs/:config_type/:name/versions/:version

Return the version of the configuration which has the given name and hash, or name and tag, or an error if that combination does not exist.

RBAC Capability Required: templating.configs.get

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_namestringRequired
config_typestringRequired
namestringRequired
versionstringRequired

Response

200A single configuration

Loading schema details…

Errors

400Bad Request

Loading schema details…

401Unauthorized

Loading schema details…

403Forbidden

Loading schema details…

404Not Found

Loading schema details…

429Too Many Requests

Loading schema details…

500Internal Server Error

Loading schema details…